curl --request POST \
--url https://vpos.payven.com.tr/api/v1/Payments/{transactionId}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "<string>",
"extraProperties": {}
}
'{
"message": "<string>",
"isSuccess": true,
"code": "<string>",
"data": {
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"isSuccess": true,
"message": "<string>",
"externalQueryAvailable": true,
"internal": {
"status": "<string>",
"operationType": "<string>",
"amount": 123,
"netAmount": 123,
"currency": "<string>",
"installmentCount": 123,
"is3DSecure": true,
"providerTransactionId": "<string>",
"authCode": "<string>",
"hostReference": "<string>",
"maskedCardNumber": "<string>",
"cardBrand": "<string>",
"cardHolderName": "<string>",
"bankCode": "<string>",
"transactionStatus": "<string>",
"chargeType": "<string>",
"settlementId": "<string>",
"capturedAmount": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
},
"external": {
"status": "<string>",
"operationType": "<string>",
"amount": 123,
"netAmount": 123,
"currency": "<string>",
"installmentCount": 123,
"is3DSecure": true,
"providerTransactionId": "<string>",
"authCode": "<string>",
"hostReference": "<string>",
"maskedCardNumber": "<string>",
"cardBrand": "<string>",
"cardHolderName": "<string>",
"bankCode": "<string>",
"transactionStatus": "<string>",
"chargeType": "<string>",
"settlementId": "<string>",
"capturedAmount": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}
}curl --request POST \
--url https://vpos.payven.com.tr/api/v1/Payments/{transactionId}/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "<string>",
"extraProperties": {}
}
'{
"message": "<string>",
"isSuccess": true,
"code": "<string>",
"data": {
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"isSuccess": true,
"message": "<string>",
"externalQueryAvailable": true,
"internal": {
"status": "<string>",
"operationType": "<string>",
"amount": 123,
"netAmount": 123,
"currency": "<string>",
"installmentCount": 123,
"is3DSecure": true,
"providerTransactionId": "<string>",
"authCode": "<string>",
"hostReference": "<string>",
"maskedCardNumber": "<string>",
"cardBrand": "<string>",
"cardHolderName": "<string>",
"bankCode": "<string>",
"transactionStatus": "<string>",
"chargeType": "<string>",
"settlementId": "<string>",
"capturedAmount": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
},
"external": {
"status": "<string>",
"operationType": "<string>",
"amount": 123,
"netAmount": 123,
"currency": "<string>",
"installmentCount": 123,
"is3DSecure": true,
"providerTransactionId": "<string>",
"authCode": "<string>",
"hostReference": "<string>",
"maskedCardNumber": "<string>",
"cardBrand": "<string>",
"cardHolderName": "<string>",
"bankCode": "<string>",
"transactionStatus": "<string>",
"chargeType": "<string>",
"settlementId": "<string>",
"capturedAmount": 123,
"errorCode": "<string>",
"errorMessage": "<string>",
"processedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.